Subject: Re: several quick questions

From: Keith Packard <[email-masked]>
Date: Tue, 14 Feb 2006 21:25:45 -0800

On Wed, 2006-02-15 at 17:11 +1300, Martin Langhoff wrote:

> Did that lead to finding any problems with the import? Can I get my
> hands on that script you've written to run the comparison?

The only issues we had were with manual changes to the repository; other
than that, we now has a usable git repository for cairo (visible at
git://git.cairographics.org/cairo). The comparison tool that I wrote was
a cheesy shell script; I think Carl has updated it to do something less
severe than rm -rf *; git-reset --hard; if he can share that, I think
you'll like it a lot better than mine.

Our CVS import script has some magic ChangeLog-style mangling which
we've posted to the list before; that clearly needs to be encapsulated
in an optional log-reformatting bit for it to be generally useful. 
 
-- 
[email-masked]